import {
	observer
} from 'mobx-react';
import {
	WeaTableNew
} from 'comsMobx';
const WeaTable = WeaTableNew.WeaTable;

@observer
export default class Table extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			store
		} = this.props, {
			TABLE,
			share
		} = store, {
			table
		} = share;

		const staticProps = TABLE ? TABLE : share.TABLE;

		return (
			<WeaTable 
				{...staticProps}
				{...table}
			/>
		);
	}
}